--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Return a new TextMedia object containing <tt>body</tt> with the content type of <tt>content_type</tt>.
- !ruby/struct:SM::Flow::P 
  body: To specify the character set of <tt>body</tt>, a <em>charset</em> parameter may be appended to <tt>content_type</tt> using a semi-colon delimiter.
full_name: MIME::TextMedia::new
is_singleton: true
name: new
params: (body, content_type = 'text/plain; charset=us-ascii')
visibility: public
